--- title: "setVpcPeeringDescription" slug: "networking-vpc-vpcpeering-setvpcpeeringdescription" updated: 2026-09-17T10:12:33Z published: 2026-09-17T10:12:33Z canonical: "api.ncloud-docs.com/networking-vpc-vpcpeering-setvpcpeeringdescription" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # setVpcPeeringDescription Available in VPC Edit the VPC peering description by specifying the VPC peering instance number. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vpc/v2/setVpcPeeringDescription | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all VPC APIs, see [VPC common headers](/docs/en/networking-vpc#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code of the VPC peering instance whose description you want to edit - First Region of the query result (default) - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). | | `vpcPeeringInstanceNo` | String | Required | Number of VPC peering instance whose description you want to edit - See [getVpcPeeringInstanceList](/docs/en/networking-vpc-vpcpeering-getvpcpeeringinstancelist). | | `vpcPeeringDescription` | String | Optional | Description of VPC peering you want to edit (byte) - 0-1000 | | `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location 'https://ncloud.apigw.ntruss.com/vpc/v2/setVpcPeeringDescription ?regionCode=KR &vpcPeeringInstanceNo=***6212 &vpcPeeringDescription=test-description' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body See [VpcPeeringInstanceList](/docs/en/common-vapidatatype-vpcpeeringinstancelist) for the response body. ### Response status codes For information about the HTTP status codes common to all VPC APIs, see [VPC response status codes](/docs/en/networking-vpc#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` 714c5071-50d0-48ea-8e4f-e449009036d2 0 success 1 ***6212 test-*** KR 2020-08-04T14:57:08+0900 2020-08-04T14:57:08+0900 RUN run Running NULL NULL OP ***05 test-*** ***.**1.0.0/16 test-***@naver.com ***06 test-*** ***.**2.0.0/16 test-***@naver.com test-description false false ```